package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorWarning;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * @author zff
 */
@Mapper
public interface WarningMapper {
    /**
     * 获取告警列表
     * @return
     */
    List<MonitorWarning> warningList();

    /**
     * 修改告警状态
     * @param id
     * @return
     */
    int updateStatus(@Param("id") Long id, @Param("userName") String userName);

    /**
     * 新增告警
     * @param monitorWarning
     */
    void addWarning(MonitorWarning monitorWarning);
}
